// Java

package edu.washington.cac.calendar;

import edu.washington.cac.myuw.servlet.LogFactory;
import edu.washington.cac.myuw.servlet.MonthlyPrintStream;

import java.io.*;

/** A object to create logs for UW Calendar servlets to use
  @author Greg Barnes
  @version 1.0
*/
public class CalLogFactory extends LogFactory {
  /** An I/O handle to the file */
  private static PrintStream CalLogPrintStream = 
      new MonthlyPrintStream().getMonthlyPrintStream(CalProperties.logBase());

  /** ID used for global messages in the log */
  private static final String GLOBAL_LOG_ID = "[UWCal]";

//  //%%%% evil, but must be done until we get log messages under control
//  static {
//    System.setErr(CalLogPrintStream);
//  }

  /**
    Create a CalLogFactory 
   */
  public CalLogFactory() {
    super(GLOBAL_LOG_ID, CalLogPrintStream);
  }
}
