/*++AllowConflict.java++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  edu.washington.cac.calendar.cap;


import  edu.washington.cac.calendar.icalendar.BooleanProp;


/**
 * CAP ALLOW-CONFLICT property.
 *
 *<PRE>	<!-- for alignment purposes -->&nbsp;
 * Spec:
 *   section:	7.1 [CAP]
 *   occurs:	1 (VAGENDA,VCALSTORE)
 *   datatypes:	BOOLEAN (1)
 *   default:	---
 *   allowed:	---
 *   params:	xparam (0+)
 *</PRE>
 *
 * @author slh
 * @version 0.00 2002/11/06 slh
 */
public
class  AllowConflict
extends  BooleanProp
{

/*----------------------------------------------------------------------------
 *						Constructors
 *--------------------------------------------------------------------------*/

  /**
   * Create a ALLOW-CONFLICT property, unset.
   */
  public
  AllowConflict  (		)
  {
    super( Names.strProp_AllowConflict );
  }


  /**
   * Create a ALLOW-CONFLICT property set to supplied value.
   */
  public
  AllowConflict  (String	strValue	)
  {
    super( Names.strProp_AllowConflict , strValue );
  }


  /**
   * Create a ALLOW-CONFLICT property set to supplied value.
   */
  public
  AllowConflict  (int	iValue	)
  {
    super( Names.strProp_AllowConflict , iValue );
  }


  /**
   * Create a ALLOW-CONFLICT property set to supplied value.
   */
  public
  AllowConflict  (boolean	bValue	)
  {
    super( Names.strProp_AllowConflict , bValue );
  }

}


/* Log:
 *  0.00  2002/10/30, 2002/11/05, 2002/11/06  slh
 *        create from RecurAccepted.java
 */
/*--AllowConflict.java------------------------------------------------------*/
