package pubevents;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import edu.washington.cac.myuw.servlet.session.InvalidSession;
import edu.washington.cac.myuw.servlet.session.UWSession;

/** The base class of most of the UWCal pubevents servlets that do something
   besides logging someone in

   @author Greg Barnes
   @version 1.0
 */
public abstract class PubEventsEntryServlet extends PubEventsServlet
{
  /**
    Get the user making the request
    @param req HTTP request object
    @exception InvalidSession If there's a problem with the session
   */
  public String getUser(HttpServletRequest req)
      throws InvalidSession
  {
    return new UWSession(req, getLogFactory()).verify();
  }
}
