
// SplitDateFields.java

package pubevents.updtevents;

import java.util.Calendar;
import java.sql.Date;
import java.sql.Time;

import edu.washington.cac.calendar.MyCalendar;

public class SplitDateTime {
  private MyCalendar mc;
  private Time time;

  public SplitDateTime (Date date, Time time) {
    this.mc = new MyCalendar(date, time);
    this.time = time;
  }

  public String getMonthName() {
    return this.mc.monthString();
  }

  public String getDay() {
    return this.mc.twoDigitDay();
  }

  public String getYear() {
    return this.mc.year() + "";
  }

  public String getHour() {
    if (this.time == null) {
      return "None";
    } else if (this.mc.get(Calendar.HOUR) == 0) {
      return "12";
    } else {
      return this.mc.get(Calendar.HOUR) + "";
    }
  }

  public String getMin() {
    if (this.time == null) {
      return "00";
    } else if (this.mc.get(Calendar.MINUTE) < 10) {
      return "0" + this.mc.get(Calendar.MINUTE);
    } else {
      return this.mc.get(Calendar.MINUTE) + "";
    }
  }

  public String getAmPm() {
    return (this.time == null || this.mc.get(Calendar.AM_PM) == Calendar.PM) ? 
      "pm" : "am";
  }
}
