package pubevents.userlogin;

import java.sql.ResultSet;
import java.sql.SQLException;

import edu.washington.cac.calendar.db.Fields;
import edu.washington.cac.calendar.db.Tables;

import pubevents.PEDefaults;
import pubevents.PubEventsLoginServlet;
import pubevents.addevents.SqlStatements;

/** login page for administrator 
  
  @author Leman Chung, Greg Barnes
  @version 2.1
 */
public class AdminLogin extends PubEventsLoginServlet
{
  /** @return a printable name for this servlet */
  protected String getName() 
  {
    return "Public Events AdminLogin";
  }

  /** @return the URL of the menu servlet */
  protected String menuUrl() 
  {
    return PEDefaults.ADMIN_MENU_URL;
  }

  /** @return The URL of the login page */
  protected String getStartURL()
  {
    return PEDefaults.ADMIN_LOGIN_URL;
  }

  /** @return the name of the 'not authorized' file for this servlet */
  protected String getNotAuthorizedFile()
  {
    return PEDefaults.NOT_AN_ADMIN;
  }

  /** 
    @return Whether a user is authorized to log in
    @param uid User to check 
    @exception SQLException If there's a problem checking the database
   */
  protected boolean authorized(String uid) throws SQLException
  {
    return super.adminAuthorized(uid);
  }

  public String getServletInfo() {
    return getName() + 
           ": Start Events Calendar Administrator's Session and redirect";
  }
}
