// Java

package pubevents.util;

import java.io.IOException;

import edu.washington.cac.fanglin.util.SocketClient;

import pubevents.PEDefaults;

/**
   Establish a socket connection to one of myuw servers to
   re-extract alerts, rebuild the alerts dynamic content,
   and redistribute it to web servers

  @author Leman Chung, Greg Barnes
  @version 2.0
*/
public class AlertSocketClient extends SocketClient 
{
  /**
    Create a new instance
   */
  public AlertSocketClient()
  {
       super(PEDefaults.ALERT_HOST, PEDefaults.ALERT_PORT);
  }
  
  public AlertSocketClient(String host)
  {
       super(host, PEDefaults.ALERT_PORT);
  }
  
  /**
    Send a message to the server
    @exception IOException If there's a problem
   */
  public void talk () throws IOException 
  {
    try {
      connect();
    } catch (Exception e) {
      e.printStackTrace(System.err);
      System.err.println(e.getMessage());
      throw new IOException(e.getMessage());
    } finally {
      closeSocket();
    }
  }
}
