//
// Some handy routines to handle date or input text conversion,
//   such as change double quote to &quot inside a string.
//

/* ConvertRoutines: some handy routines to convert date or text strings.
  *
  *@author Leman Chung
  *@date   Sept 30, 2000
  */

package pubevents.util;

import java.util.Date;
import java.text.SimpleDateFormat;

//

public class ConvertRoutines {

        // convert month name to it's corresponding month number
    public String monthNumber(String month) {
        String month_num;

        if (month.startsWith("Jan")) {
            month_num = "01";
        } else if (month.startsWith("Feb")) {
            month_num = "02";
        } else if (month.startsWith("Mar")) {
            month_num = "03";
        } else if (month.startsWith("Apr")) {
            month_num = "04";
        } else if (month.startsWith("May")) {
            month_num = "05";
        } else if (month.startsWith("Jun")) {
            month_num = "06";
        } else if (month.startsWith("Jul")) {
            month_num = "07";
        } else if (month.startsWith("Aug")) {
            month_num = "08";
        } else if (month.startsWith("Sep")) {
            month_num = "09";
        } else if (month.startsWith("Oct")) {
            month_num = "10";
        } else if (month.startsWith("Nov")) {
            month_num = "11";
        } else if (month.startsWith("Dec")) {
            month_num = "12";
        } else
            month_num = "00";
        return month_num;
    }
        // convert double quote to &quot;
    public String convertString(String input_str,
                      String old_char, String new_str) {
        String output_string;
        int curr, loc;

        curr = 0;
        output_string = "";
        while ((loc = input_str.indexOf(old_char, curr)) != -1) {
            output_string = output_string + input_str.substring(curr, loc);
            output_string = output_string + new_str;
            curr = loc + 1;
        }
        output_string = output_string + input_str.substring(curr);
        return output_string;
    }
        // get current year;
    public String getCurrYear() {
        Date currTime = new Date();
        SimpleDateFormat formatter
           = new SimpleDateFormat ("yyyy");
        return formatter.format(currTime);
    }

    public String getCurrDay() {
        Date currTime = new Date();
        SimpleDateFormat formatter
           = new SimpleDateFormat ("dd");
        return formatter.format(currTime);
    }

    public String getCurrMonthNum() {
        Date currTime = new Date();
        SimpleDateFormat formatter
           = new SimpleDateFormat ("MM");
        return formatter.format(currTime);
    }

    public String getCurrMonthName() {
        Date currTime = new Date();
        SimpleDateFormat formatter
           = new SimpleDateFormat ("MMMM");
        return formatter.format(currTime);
    }

  /** Given a URL, insert a protocol (http) if needed
    @param url URL to check
    @return url, with a protocol added if it wasn't there
   */
  public static String insertHttp(String url) 
  {
    if (url == null || url.indexOf("://") != -1) {
      return url;
    } else {
      return "http://" + url;
    }
  }
} 
