// java

package uwcal.out;

import edu.washington.cac.calendar.CalParameter;
import edu.washington.cac.calendar.MyCalendar;
import edu.washington.cac.calendar.data.Keyword;

/** A HelperPrinter for a keyword
   @author Greg Barnes
   @version 1.1
  */
public class KeywordHelperPrinter extends HelperPrinter 
{
  Keyword k;

  /**
    Create a new instance
    @param k Keyword to print
    @param page Page this printer is a part of
   */
  KeywordHelperPrinter(Keyword k, Page page) 
  {
    super(k, page);
    this.k = k;
  }

  /**
    Get a URL to edit the keyword
    @param today The current day
    @param sid Session identifier
    @return a URL to edit the keyword
   */
  public String editUrl(MyCalendar today, int sid) 
  {
    return EditKeyword.url(today, this.k, this.page, sid);
  }

  private static final String DELETE_KEYWORD_URL =
      WebResources.BASE_GET_URL + CalParameter.DELETEKEYWORD_FUNC + 
      Util.DATE_PARAM;

  /**
    Get a URL to delete the keyword
    @param today The current day
    @param sid Session identifier
    @return a URL to delete the keyword
   */
  public String deleteUrl(MyCalendar today, int sid) 
  {
    return Util.makeUrl(DELETE_KEYWORD_URL, today, this.page,
                        Util.KEYWORD_ID_PARAM, this.k.getId(), sid);
  }

  public String cName() 
  {
    return DisplayText.KEYWORD;
  }
}
