// java

package uwcal.out;

import java.util.Calendar;

import edu.washington.cac.calendar.CalParameter;
import edu.washington.cac.calendar.MyCalendar;

/**
  Used for printing the prev/this/next links at the top of a page representing
   a month.
  @author Greg Barnes
  @version 1.0
 */
public class MonthDateHeader extends DateHeader
{
  /** Create a new instance 
    @param mc The current date
   */
  public MonthDateHeader(MyCalendar mc) 
  {
    super(mc, CalParameter.MONTHVIEW_FUNC);
  }

  /** Get the previous month 
    @return The previous month
   */
  public MyCalendar prevDate() 
  {
    return this.mc.addTime(Calendar.MONTH, -1);
  }

  /** Get the next month 
    @return The next month
   */
  public MyCalendar nextDate() 
  {
    return this.mc.addTime(Calendar.MONTH, 1);
  }

  /** Get a string representation for this month
    @return a string representation for this month
   */
  public String thisString() 
  {
    return this.mc.monthString() + " " + this.mc.year();
  }
}
