// java

package uwcal.out;

import java.util.Calendar;

import edu.washington.cac.calendar.CalParameter;
import edu.washington.cac.calendar.MyCalendar;

/**
  Used for printing the prev/this/next links at the top of a page representing
   a year.
  @author Greg Barnes
  @version 1.0
 */
public class YearDateHeader extends DateHeader
{
  /** Create a new instance 
    @param mc The current date
   */
  public YearDateHeader(MyCalendar mc) 
  {
    super(mc, CalParameter.YEARVIEW_FUNC);
  }

  /** Get the previous year 
    @return The previous year
   */
  public MyCalendar prevDate() 
  {
    return this.mc.addTime(Calendar.YEAR, -1);
  }

  /** Get the next year 
    @return The next year
   */
  public MyCalendar nextDate() 
  {
    return this.mc.addTime(Calendar.YEAR, 1);
  }

  /** Get a string representation for this year
    @return a string representation for this year
   */
  public String thisString() 
  {
    return this.mc.fourDigitYear();
  }
}
