// java

package uwcal.out.forms;


import org.apache.ecs.Element;
import org.apache.ecs.ElementContainer;
import org.apache.ecs.Entities;
import org.apache.ecs.html.B;

import uwcal.CalProfile;
import uwcal.out.DisplayText;
import uwcal.out.Style;
import uwcal.out.Util;

//%%%% needs to become a resource bundle
/**
  Text that appears mostly in forms
  @author Greg Barnes
  @version 2.0
 */
public class FormsDisplayText 
{
  static final String ADD = "Add";
  static final String ADD_EVENT_TITLE = ADD + " " + DisplayText.EVENT;
  static final String EDIT_EVENT_TITLE = 
    DisplayText.EDIT + " " + DisplayText.EVENT;
  static final String ADD_KEYWORD_TITLE = ADD + " " + DisplayText.KEYWORD;
  static final String EDIT_KEYWORD_TITLE = 
    DisplayText.EDIT + " " + DisplayText.KEYWORD;
  static final String ADD_LOCATION_TITLE = ADD + " " + DisplayText.LOCATION;
  static final String EDIT_LOCATION_TITLE = 
    DisplayText.EDIT + " " + DisplayText.LOCATION;
  static final String ADD_SPONSOR_TITLE = ADD + " " + DisplayText.SPONSOR;
  static final String EDIT_SPONSOR_TITLE = 
    DisplayText.EDIT + " " + DisplayText.SPONSOR;
  static final String SELECT_FILTER_TITLE = "Filter " + DisplayText.EVENTS;

  public static final String NAME = "Title/Summary";
  static final String SPONSOR_NAME = "Name";
  public static final String LOCATION = DisplayText.LOCATION;
  static final String WORD = DisplayText.KEYWORD;
  static final String START = "Start";
  static final String END = "End";
  public static final String TIME = "Time";
  static final String DATE = "Date";
  static final String DATETIME = DATE + "/" + TIME;
  static final String START_TIME = START + " " + TIME;
  static final String END_TIME = END + " " + TIME;
  public static final String START_DATE = START + " " + DATE;
  public static final String END_DATE = END + " " + DATE;
  static final String START_DATE_TIME = START + " " + DATETIME;
  static final String END_DATE_TIME = END + " " + DATETIME;
  public static final String SAME = "Same";
  static final String LINK = "Link";
  static final String INITIAL_LINK = "http://";
  public static final String EVENT_LINK = DisplayText.EVENT + " " + LINK;
  public static final String SPONSOR_LINK = DisplayText.SPONSOR + " " + LINK;
  public static final String LOCATION_LINK = 
      DisplayText.LOCATION + " " + LINK;
  static final String AT = "at ";
  static final String NO_TIME = "(no " + TIME + ")";
  static final String USE_OLD_LOCATION = "choose";
  static final String ADD_NEW_LOCATION = "add";

  /** or */
  static final String OR = "or";

  /** Text before the search box */
  static final String SEARCH = "Show only " + DisplayText.EVENTS.toLowerCase() +
                               " that contain this text:";

  /** title of the select calendar subform */
  static final String MAIN_CALENDARS_TITLE = "Main Calendars";

  /** text before the main calendars selections */
  static final String MAIN_HEADER = "Choose one of the main calendars: ";

  /** text for the 'all calendars' link */
  static final String ALL_CALENDARS_TEXT = "complete list of calendars";

  static final String REQUIRED = "required";
  static final String REQUIRED_INFO = "= required field";

  public static final String AM = "am";
  public static final String PM = "pm";

  // form submit button text
  /** submit button text for a Go form */
  public static final String GO = "Go";

  /** submit button text for the select filters form */
  public static final String FILTER = "Filter";

  /** Generic submit button text */
  public static final String SUBMIT = "Submit";

  /** Generic submit button text for an edit form */
  public static final String CHANGE = "Submit Changes";

  static final String ADD_EVENT = SUBMIT + " " + DisplayText.EVENT;
  static final String CHANGE_EVENT = CHANGE;
  static final String ADD_LOCATION = SUBMIT + " " + DisplayText.LOCATION;
  static final String CHANGE_LOCATION = CHANGE;
  static final String ADD_SPONSOR = SUBMIT + " " + DisplayText.SPONSOR;
  static final String CHANGE_SPONSOR = CHANGE;
  static final String ADD_KEYWORD = SUBMIT + " " + DisplayText.KEYWORD;
  static final String CHANGE_KEYWORD = CHANGE;

  public static final String LONG_DESCRIPTION = "Full description";
  public static final String ADDRESS = "Main Address";
  static final String SUBADDRESS = "Subaddress";
  public static final String PHONE = "Phone";
  public static final String EMAIL = "Email";
  static final String PUBLICF = DisplayText.PUBLIC_STRING + "? ";

  static String editString(String fieldName, String prefix) {
      return prefix + fieldName;
  }

  static String oldString(String fieldName) {
      return editString(fieldName, "Old ");
  }

  static String newString(String fieldName) {
      return editString(fieldName, "New ");
  }

  static Element editText(String fieldName) {
      return new B().addElement(fieldName + ": ");
  }

  static Element editOld(String fieldName) {
      return editText(oldString(fieldName));
  }
      
  static Element editNew(String fieldName) {
      return editText(newString(fieldName));
  }
      
  static final Element EDIT_OLD_NAME = editOld(NAME);
  static final Element EDIT_NEW_NAME = editNew(NAME);
  static final Element EDIT_OLD_LOCATION = editOld(LOCATION);
  static final Element EDIT_NEW_LOCATION = editNew(LOCATION);
  static final Element EDIT_OLD_WORD = editOld(WORD);
  static final Element EDIT_NEW_WORD = editNew(WORD);
  static final Element EDIT_OLD_STARTTIME = editOld(START_TIME);
  static final Element EDIT_NEW_STARTTIME = editNew(START_TIME);
  static final Element EDIT_OLD_ENDTIME = editOld(END_TIME);
  static final Element EDIT_NEW_ENDTIME = editNew(END_TIME);
  static final Element EDIT_STARTDATE = editText(START_DATE);
  static final Element EDIT_OLD_ENDDATE = editOld(END_DATE);
  static final Element EDIT_NEW_ENDDATE = editNew(END_DATE);
  static final Element EDIT_OLD_LINK = editOld(LINK);
  static final Element EDIT_NEW_LINK = editNew(LINK);
  static final Element EDIT_OLD_PUBLIC = editOld(DisplayText.PUBLIC_STRING);
  static final Element EDIT_OLD_LONG_DESCRIPTION = editOld(LONG_DESCRIPTION);
  static final Element EDIT_NEW_LONG_DESCRIPTION = editNew(LONG_DESCRIPTION);
  static final Element EDIT_OLD_ADDRESS = editOld(ADDRESS);
  static final Element EDIT_NEW_ADDRESS = editNew(ADDRESS);
  static final Element EDIT_OLD_SUBADDRESS = editOld(SUBADDRESS);
  static final Element EDIT_NEW_SUBADDRESS = editNew(SUBADDRESS);
  static final Element EDIT_OLD_PHONE = editOld(PHONE);
  static final Element EDIT_NEW_PHONE = editNew(PHONE);
  static final Element EDIT_OLD_EMAIL = editOld(EMAIL);
  static final Element EDIT_NEW_EMAIL = editNew(EMAIL);

  static final String EDIT_OLD_STARTDATETIME = oldString(START_DATE_TIME);
  static final String EDIT_NEW_STARTDATETIME = newString(START_DATE_TIME);
  static final String EDIT_OLD_ENDDATETIME = oldString(END_DATE_TIME);
  static final String EDIT_NEW_ENDDATETIME = newString(END_DATE_TIME);

  static final String PUBLIC_ADVISORY_TEXT1 =
    "A public item can be viewed and used by other users.  Improper entries can get you into trouble.   It is your responsibility to know\n";
  static final String PUBLIC_ADVISORY_TEXT2 = "the rules.";
  static final String RULES_URL = 
    "http://www.washington.edu/computing/rules/";
  static final Element PUBLIC_ADVISORY_ELEMENT = 
    new ElementContainer().addElement(PUBLIC_ADVISORY_TEXT1).
      addElement(Util.linkItem(RULES_URL, PUBLIC_ADVISORY_TEXT2, 
        Style.LINK_ITEM)).
      addElement("\n");

  static final Element PUBLIC_ADVISORY = 
      Util.spanItem(PUBLIC_ADVISORY_ELEMENT, Style.MONTH_DESC);

  /** text displayed at the top of the subscriptions form */
  static final String SUBSCRIPTIONS_HEADER = "Calendar Subscriptions";

  /** text before a subscriptions submit button */
  static final String SUBSCRIBE_SUBMIT = "Subscribe to these calendars by checking the boxes, then click the Submit button " 
      + Entities.GT + Entities.GT + Entities.NBSP;
}
