// java

package uwcal.schedule;

import org.apache.ecs.Element;
import org.apache.ecs.ElementContainer;

import edu.washington.cac.calendar.CalParameter;

import uwcal.out.DisplayText;
import uwcal.out.Util;
import uwcal.out.WebResources;

/**
  Text seen by the user of the AddSchedule servlet
  @author Greg Barnes
  @version 1.0
 */
public class ScheduleText
{
  /** The title of the page generated */
  static final String ADD_SCHEDULE_TITLE = "Add Schedule";

  /** The end of the success message */
  static final Element MESSAGE_END = 
     new ElementContainer().addElement(" has been added to your ").
         addElement(Util.linkItem(WebResources.BASE_POST_URL, 
                                  DisplayText.APP_NAME));

  /**
    Get the message to display to the user indicating success
    @param scheduleName Name of the schedule
    @return the message to display to the user indicating success
   */
  static Element scheduleMessage(char scheduleName)
  {
    return new ElementContainer().
        addElement(scheduleName == CalParameter.STUDENT_SCHEDULE ?
                   "Your student schedule" :
                   "Your teaching schedule").
        addElement(MESSAGE_END);
  }
}
